/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
if(!dojo._hasResource["tests.org.eclipse.cosmos.tests.dr.ps.components.utility._base"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["tests.org.eclipse.cosmos.tests.dr.ps.components.utility._base"] = true;
var testGlobal = this;
var cosmos= new Object();

dojo.addOnLoad(
		function(e) {
			cosmos = new org.eclipse.cosmos.provisional.dr.ps.components.utility.UIContext();
		}
	);


try{
	dojo.provide("tests.org.eclipse.cosmos.tests.dr.ps.components.utility._base");

}catch(e){ }

dojo.require("org.eclipse.cosmos.provisional.dr.ps.components.utility.common");

doh.register("org.eclipse.cosmos.tests.dr.ps.components.utility.ErrorHandler", 
		[
			function testLogError(t){
				cosmos.log.logError({message:"this is an error message"});
				cosmos.log.logError({message:"this is an error message"}, false);
//				cosmos.log.logError({message:"this is an error message"}, true);
			},
			function testLogInfo(t){
				cosmos.log.logInfo({message:"this is an error message"});
				cosmos.log.logInfo({message:"this is an error message"}, false);
//				cosmos.log.logInfo({message:"this is an error message"}, true);
			},
			function testLogWarning(t){
				cosmos.log.logWarning({message:"this is an error message"});
				cosmos.log.logWarning({message:"this is an error message"}, false);
//				cosmos.log.logWarning({message:"this is an error message"}, true);
			}
		]
	);


}
